Skip to content
Navigation

Apply SOW generation

Create or update a SOW with the generated task items and links

POST
https://api.testandaccept.com/api/rest/user-stories/apply-sow-generation

Authorization

  • bearerAuth
    HTTP Bearer (tnda_ token)
    required

Request body JSON required

  • projectId
    string
    required
    format: uuid · pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
  • storyIds
    array of
    string
    required
    format: uuid · pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
  • taskProposals
    array of
    object
    required
    • title
      string
      required
      minLength: 1
    • description
      optional
      string
      default: ""
    • type
      optional
      requirement
      or
      task_item
      or
      milestone
      or
      deliverable
      default: "task_item"
    • priority
      optional
      low
      or
      medium
      or
      high
      or
      critical
      default: "medium"
    • acceptanceCriteria
      optional
      array of
      string
    • linkedStepIds
      optional
      array of
      string
      format: uuid · pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
  • stepMappings
    array of
    object
    required
    • stepId
      string
      required
      format: uuid · pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
    • taskIndex
      integer
      required
      maximum: 9007199254740991 · minimum: 0
  • sowId
    optional
    string
    format: uuid · pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
  • sowTitle
    optional
    string
    minLength: 1
  • sowDescription
    optional
    string

Returns

200

Successful response

JSON
  • sowId
    string
    required
    format: uuid · pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
  • taskItemIds
    array of
    string
    required
    format: uuid · pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
  • criterionIds
    array of
    string
    required
    format: uuid · pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
  • linkIds
    array of
    string
    required
    format: uuid · pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$

400

Invalid input data
JSON
  • message
    string
    required

    The error message

  • code
    string
    required

    The error code

  • issues
    optional
    array of
    object

    An array of issues that were responsible for the error

    • message
      string
      required

401

Authorization not provided
JSON
  • message
    string
    required

    The error message

  • code
    string
    required

    The error code

  • issues
    optional
    array of
    object

    An array of issues that were responsible for the error

    • message
      string
      required

403

Insufficient access
JSON
  • message
    string
    required

    The error message

  • code
    string
    required

    The error code

  • issues
    optional
    array of
    object

    An array of issues that were responsible for the error

    • message
      string
      required

500

Internal server error
JSON
  • message
    string
    required

    The error message

  • code
    string
    required

    The error code

  • issues
    optional
    array of
    object

    An array of issues that were responsible for the error

    • message
      string
      required

Type to search…

↑↓ navigate↵ selectEsc close